﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.573
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace RastreamentoWebService
{
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;


    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class ConfiguracaoClienteDataSet : DataSet
    {

        private sgm_Configuracao_ClienteDataTable tablesgm_Configuracao_Cliente;

        public ConfiguracaoClienteDataSet()
        {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        protected ConfiguracaoClienteDataSet(SerializationInfo info, StreamingContext context)
        {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null))
            {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["sgm_Configuracao_Cliente"] != null))
                {
                    this.Tables.Add(new sgm_Configuracao_ClienteDataTable(ds.Tables["sgm_Configuracao_Cliente"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else
            {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public sgm_Configuracao_ClienteDataTable sgm_Configuracao_Cliente
        {
            get
            {
                return this.tablesgm_Configuracao_Cliente;
            }
        }

        public override DataSet Clone()
        {
            ConfiguracaoClienteDataSet cln = ((ConfiguracaoClienteDataSet)(base.Clone()));
            cln.InitVars();
            return cln;
        }

        protected override bool ShouldSerializeTables()
        {
            return false;
        }

        protected override bool ShouldSerializeRelations()
        {
            return false;
        }

        protected override void ReadXmlSerializable(XmlReader reader)
        {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["sgm_Configuracao_Cliente"] != null))
            {
                this.Tables.Add(new sgm_Configuracao_ClienteDataTable(ds.Tables["sgm_Configuracao_Cliente"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }

        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable()
        {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }

        internal void InitVars()
        {
            this.tablesgm_Configuracao_Cliente = ((sgm_Configuracao_ClienteDataTable)(this.Tables["sgm_Configuracao_Cliente"]));
            if ((this.tablesgm_Configuracao_Cliente != null))
            {
                this.tablesgm_Configuracao_Cliente.InitVars();
            }
        }

        private void InitClass()
        {
            this.DataSetName = "ConfiguracaoClienteDataSet";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/ConfiguracaoClienteDataSet.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tablesgm_Configuracao_Cliente = new sgm_Configuracao_ClienteDataTable();
            this.Tables.Add(this.tablesgm_Configuracao_Cliente);
        }

        private bool ShouldSerializesgm_Configuracao_Cliente()
        {
            return false;
        }

        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e)
        {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove))
            {
                this.InitVars();
            }
        }

        public delegate void sgm_Configuracao_ClienteRowChangeEventHandler(object sender, sgm_Configuracao_ClienteRowChangeEvent e);

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_Configuracao_ClienteDataTable : DataTable, System.Collections.IEnumerable
        {

            private DataColumn columnId_Ponto_Entrega;

            private DataColumn columnId_Config;

            private DataColumn columnData_Inicio_Config;

            private DataColumn columnData_Fim_Config;

            private DataColumn columnDescricao_Contrato;

            private DataColumn columnData_Contrato;

            private DataColumn columnData_Inicio_Consumo;

            private DataColumn columnTemperatura_Referencia;

            private DataColumn columnPressao_Referencia;

            private DataColumn columnPoder_Calorifico_Referencia;

            private DataColumn columnPatm;

            private DataColumn columnPressao_Entrega;

            private DataColumn columnVariacao_Pressao_Entrega_Maior;

            private DataColumn columnVariacao_Pressao_Entrega_Menor;

            private DataColumn columnVazao_Garantida;

            private DataColumn columnPico_Vazao;

            private DataColumn columnQuantidade_Diaria_Contratada;

            private DataColumn columnDemanda_Mensal_Contratada;

            private DataColumn columnQuantidade_Trimestral_Minima;

            private DataColumn columnQuantidade_Anual_Minima;

            private DataColumn columnLimite_Maximo_Diario;

            private DataColumn columnVariacao_Pressao_Lida_Maxima;

            private DataColumn columnVariacao_Pressao_Lida_Minima;

            private DataColumn columnVariacao_Temperatura_Lida_Maxima;

            private DataColumn columnVariacao_Temperatura_Lida_Minima;

            private DataColumn columnVariacao_Volume_Lido_Maximo;

            private DataColumn columnVariacao_Volume_Lido_Minimo;

            private DataColumn columnflag_Temperatura_Fixa;

            private DataColumn columnValor_Temperatura_Fixa;

            private DataColumn columnflag_Correcao_Fixo;

            private DataColumn columnValor_Correcao_Fixo;

            private DataColumn columnId_Tipo_Faturamento;

            private DataColumn columnflag_Equip_Eletronico;

            private DataColumn columnflag_Pressao_Absoluta;

            internal sgm_Configuracao_ClienteDataTable() :
                    base("sgm_Configuracao_Cliente")
            {
                this.InitClass();
            }

            internal sgm_Configuracao_ClienteDataTable(DataTable table) :
                    base(table.TableName)
            {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive))
                {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString()))
                {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace))
                {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }

            [System.ComponentModel.Browsable(false)]
            public int Count
            {
                get
                {
                    return this.Rows.Count;
                }
            }

            internal DataColumn Id_Ponto_EntregaColumn
            {
                get
                {
                    return this.columnId_Ponto_Entrega;
                }
            }

            internal DataColumn Id_ConfigColumn
            {
                get
                {
                    return this.columnId_Config;
                }
            }

            internal DataColumn Data_Inicio_ConfigColumn
            {
                get
                {
                    return this.columnData_Inicio_Config;
                }
            }

            internal DataColumn Data_Fim_ConfigColumn
            {
                get
                {
                    return this.columnData_Fim_Config;
                }
            }

            internal DataColumn Descricao_ContratoColumn
            {
                get
                {
                    return this.columnDescricao_Contrato;
                }
            }

            internal DataColumn Data_ContratoColumn
            {
                get
                {
                    return this.columnData_Contrato;
                }
            }

            internal DataColumn Data_Inicio_ConsumoColumn
            {
                get
                {
                    return this.columnData_Inicio_Consumo;
                }
            }

            internal DataColumn Temperatura_ReferenciaColumn
            {
                get
                {
                    return this.columnTemperatura_Referencia;
                }
            }

            internal DataColumn Pressao_ReferenciaColumn
            {
                get
                {
                    return this.columnPressao_Referencia;
                }
            }

            internal DataColumn Poder_Calorifico_ReferenciaColumn
            {
                get
                {
                    return this.columnPoder_Calorifico_Referencia;
                }
            }

            internal DataColumn PatmColumn
            {
                get
                {
                    return this.columnPatm;
                }
            }

            internal DataColumn Pressao_EntregaColumn
            {
                get
                {
                    return this.columnPressao_Entrega;
                }
            }

            internal DataColumn Variacao_Pressao_Entrega_MaiorColumn
            {
                get
                {
                    return this.columnVariacao_Pressao_Entrega_Maior;
                }
            }

            internal DataColumn Variacao_Pressao_Entrega_MenorColumn
            {
                get
                {
                    return this.columnVariacao_Pressao_Entrega_Menor;
                }
            }

            internal DataColumn Vazao_GarantidaColumn
            {
                get
                {
                    return this.columnVazao_Garantida;
                }
            }

            internal DataColumn Pico_VazaoColumn
            {
                get
                {
                    return this.columnPico_Vazao;
                }
            }

            internal DataColumn Quantidade_Diaria_ContratadaColumn
            {
                get
                {
                    return this.columnQuantidade_Diaria_Contratada;
                }
            }

            internal DataColumn Demanda_Mensal_ContratadaColumn
            {
                get
                {
                    return this.columnDemanda_Mensal_Contratada;
                }
            }

            internal DataColumn Quantidade_Trimestral_MinimaColumn
            {
                get
                {
                    return this.columnQuantidade_Trimestral_Minima;
                }
            }

            internal DataColumn Quantidade_Anual_MinimaColumn
            {
                get
                {
                    return this.columnQuantidade_Anual_Minima;
                }
            }

            internal DataColumn Limite_Maximo_DiarioColumn
            {
                get
                {
                    return this.columnLimite_Maximo_Diario;
                }
            }

            internal DataColumn Variacao_Pressao_Lida_MaximaColumn
            {
                get
                {
                    return this.columnVariacao_Pressao_Lida_Maxima;
                }
            }

            internal DataColumn Variacao_Pressao_Lida_MinimaColumn
            {
                get
                {
                    return this.columnVariacao_Pressao_Lida_Minima;
                }
            }

            internal DataColumn Variacao_Temperatura_Lida_MaximaColumn
            {
                get
                {
                    return this.columnVariacao_Temperatura_Lida_Maxima;
                }
            }

            internal DataColumn Variacao_Temperatura_Lida_MinimaColumn
            {
                get
                {
                    return this.columnVariacao_Temperatura_Lida_Minima;
                }
            }

            internal DataColumn Variacao_Volume_Lido_MaximoColumn
            {
                get
                {
                    return this.columnVariacao_Volume_Lido_Maximo;
                }
            }

            internal DataColumn Variacao_Volume_Lido_MinimoColumn
            {
                get
                {
                    return this.columnVariacao_Volume_Lido_Minimo;
                }
            }

            internal DataColumn flag_Temperatura_FixaColumn
            {
                get
                {
                    return this.columnflag_Temperatura_Fixa;
                }
            }

            internal DataColumn Valor_Temperatura_FixaColumn
            {
                get
                {
                    return this.columnValor_Temperatura_Fixa;
                }
            }

            internal DataColumn flag_Correcao_FixoColumn
            {
                get
                {
                    return this.columnflag_Correcao_Fixo;
                }
            }

            internal DataColumn Valor_Correcao_FixoColumn
            {
                get
                {
                    return this.columnValor_Correcao_Fixo;
                }
            }

            internal DataColumn Id_Tipo_FaturamentoColumn
            {
                get
                {
                    return this.columnId_Tipo_Faturamento;
                }
            }

            internal DataColumn flag_Equip_EletronicoColumn
            {
                get
                {
                    return this.columnflag_Equip_Eletronico;
                }
            }

            internal DataColumn flag_Pressao_AbsolutaColumn
            {
                get
                {
                    return this.columnflag_Pressao_Absoluta;
                }
            }

            public sgm_Configuracao_ClienteRow this[int index]
            {
                get
                {
                    return ((sgm_Configuracao_ClienteRow)(this.Rows[index]));
                }
            }

            public event sgm_Configuracao_ClienteRowChangeEventHandler sgm_Configuracao_ClienteRowChanged;

            public event sgm_Configuracao_ClienteRowChangeEventHandler sgm_Configuracao_ClienteRowChanging;

            public event sgm_Configuracao_ClienteRowChangeEventHandler sgm_Configuracao_ClienteRowDeleted;

            public event sgm_Configuracao_ClienteRowChangeEventHandler sgm_Configuracao_ClienteRowDeleting;

            public void Addsgm_Configuracao_ClienteRow(sgm_Configuracao_ClienteRow row)
            {
                this.Rows.Add(row);
            }

            public sgm_Configuracao_ClienteRow Addsgm_Configuracao_ClienteRow(
                        int Id_Ponto_Entrega,
                        System.DateTime Data_Inicio_Config,
                        System.DateTime Data_Fim_Config,
                        string Descricao_Contrato,
                        System.DateTime Data_Contrato,
                        System.DateTime Data_Inicio_Consumo,
                        System.Decimal Temperatura_Referencia,
                        System.Decimal Pressao_Referencia,
                        System.Decimal Poder_Calorifico_Referencia,
                        System.Decimal Patm,
                        System.Decimal Pressao_Entrega,
                        System.Decimal Variacao_Pressao_Entrega_Maior,
                        System.Decimal Variacao_Pressao_Entrega_Menor,
                        System.Decimal Vazao_Garantida,
                        System.Decimal Pico_Vazao,
                        System.Decimal Quantidade_Diaria_Contratada,
                        System.Decimal Demanda_Mensal_Contratada,
                        System.Decimal Quantidade_Trimestral_Minima,
                        System.Decimal Quantidade_Anual_Minima,
                        System.Decimal Limite_Maximo_Diario,
                        System.Decimal Variacao_Pressao_Lida_Maxima,
                        System.Decimal Variacao_Pressao_Lida_Minima,
                        System.Decimal Variacao_Temperatura_Lida_Maxima,
                        System.Decimal Variacao_Temperatura_Lida_Minima,
                        System.Decimal Variacao_Volume_Lido_Maximo,
                        System.Decimal Variacao_Volume_Lido_Minimo,
                        bool flag_Temperatura_Fixa,
                        System.Decimal Valor_Temperatura_Fixa,
                        bool flag_Correcao_Fixo,
                        System.Decimal Valor_Correcao_Fixo,
                        int Id_Tipo_Faturamento,
                        bool flag_Equip_Eletronico,
                        bool flag_Pressao_Absoluta)
            {
                sgm_Configuracao_ClienteRow rowsgm_Configuracao_ClienteRow = ((sgm_Configuracao_ClienteRow)(this.NewRow()));
                rowsgm_Configuracao_ClienteRow.ItemArray = new object[] {
                        Id_Ponto_Entrega,
                        null,
                        Data_Inicio_Config,
                        Data_Fim_Config,
                        Descricao_Contrato,
                        Data_Contrato,
                        Data_Inicio_Consumo,
                        Temperatura_Referencia,
                        Pressao_Referencia,
                        Poder_Calorifico_Referencia,
                        Patm,
                        Pressao_Entrega,
                        Variacao_Pressao_Entrega_Maior,
                        Variacao_Pressao_Entrega_Menor,
                        Vazao_Garantida,
                        Pico_Vazao,
                        Quantidade_Diaria_Contratada,
                        Demanda_Mensal_Contratada,
                        Quantidade_Trimestral_Minima,
                        Quantidade_Anual_Minima,
                        Limite_Maximo_Diario,
                        Variacao_Pressao_Lida_Maxima,
                        Variacao_Pressao_Lida_Minima,
                        Variacao_Temperatura_Lida_Maxima,
                        Variacao_Temperatura_Lida_Minima,
                        Variacao_Volume_Lido_Maximo,
                        Variacao_Volume_Lido_Minimo,
                        flag_Temperatura_Fixa,
                        Valor_Temperatura_Fixa,
                        flag_Correcao_Fixo,
                        Valor_Correcao_Fixo,
                        Id_Tipo_Faturamento,
                        flag_Equip_Eletronico,
                        flag_Pressao_Absoluta};
                this.Rows.Add(rowsgm_Configuracao_ClienteRow);
                return rowsgm_Configuracao_ClienteRow;
            }

            public sgm_Configuracao_ClienteRow FindById_Ponto_EntregaId_Config(int Id_Ponto_Entrega, int Id_Config)
            {
                return ((sgm_Configuracao_ClienteRow)(this.Rows.Find(new object[] {
                            Id_Ponto_Entrega,
                            Id_Config})));
            }

            public System.Collections.IEnumerator GetEnumerator()
            {
                return this.Rows.GetEnumerator();
            }

            public override DataTable Clone()
            {
                sgm_Configuracao_ClienteDataTable cln = ((sgm_Configuracao_ClienteDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }

            protected override DataTable CreateInstance()
            {
                return new sgm_Configuracao_ClienteDataTable();
            }

            internal void InitVars()
            {
                this.columnId_Ponto_Entrega = this.Columns["Id_Ponto_Entrega"];
                this.columnId_Config = this.Columns["Id_Config"];
                this.columnData_Inicio_Config = this.Columns["Data_Inicio_Config"];
                this.columnData_Fim_Config = this.Columns["Data_Fim_Config"];
                this.columnDescricao_Contrato = this.Columns["Descricao_Contrato"];
                this.columnData_Contrato = this.Columns["Data_Contrato"];
                this.columnData_Inicio_Consumo = this.Columns["Data_Inicio_Consumo"];
                this.columnTemperatura_Referencia = this.Columns["Temperatura_Referencia"];
                this.columnPressao_Referencia = this.Columns["Pressao_Referencia"];
                this.columnPoder_Calorifico_Referencia = this.Columns["Poder_Calorifico_Referencia"];
                this.columnPatm = this.Columns["Patm"];
                this.columnPressao_Entrega = this.Columns["Pressao_Entrega"];
                this.columnVariacao_Pressao_Entrega_Maior = this.Columns["Variacao_Pressao_Entrega_Maior"];
                this.columnVariacao_Pressao_Entrega_Menor = this.Columns["Variacao_Pressao_Entrega_Menor"];
                this.columnVazao_Garantida = this.Columns["Vazao_Garantida"];
                this.columnPico_Vazao = this.Columns["Pico_Vazao"];
                this.columnQuantidade_Diaria_Contratada = this.Columns["Quantidade_Diaria_Contratada"];
                this.columnDemanda_Mensal_Contratada = this.Columns["Demanda_Mensal_Contratada"];
                this.columnQuantidade_Trimestral_Minima = this.Columns["Quantidade_Trimestral_Minima"];
                this.columnQuantidade_Anual_Minima = this.Columns["Quantidade_Anual_Minima"];
                this.columnLimite_Maximo_Diario = this.Columns["Limite_Maximo_Diario"];
                this.columnVariacao_Pressao_Lida_Maxima = this.Columns["Variacao_Pressao_Lida_Maxima"];
                this.columnVariacao_Pressao_Lida_Minima = this.Columns["Variacao_Pressao_Lida_Minima"];
                this.columnVariacao_Temperatura_Lida_Maxima = this.Columns["Variacao_Temperatura_Lida_Maxima"];
                this.columnVariacao_Temperatura_Lida_Minima = this.Columns["Variacao_Temperatura_Lida_Minima"];
                this.columnVariacao_Volume_Lido_Maximo = this.Columns["Variacao_Volume_Lido_Maximo"];
                this.columnVariacao_Volume_Lido_Minimo = this.Columns["Variacao_Volume_Lido_Minimo"];
                this.columnflag_Temperatura_Fixa = this.Columns["flag_Temperatura_Fixa"];
                this.columnValor_Temperatura_Fixa = this.Columns["Valor_Temperatura_Fixa"];
                this.columnflag_Correcao_Fixo = this.Columns["flag_Correcao_Fixo"];
                this.columnValor_Correcao_Fixo = this.Columns["Valor_Correcao_Fixo"];
                this.columnId_Tipo_Faturamento = this.Columns["Id_Tipo_Faturamento"];
                this.columnflag_Equip_Eletronico = this.Columns["flag_Equip_Eletronico"];
                this.columnflag_Pressao_Absoluta = this.Columns["flag_Pressao_Absoluta"];
            }

            private void InitClass()
            {
                this.columnId_Ponto_Entrega = new DataColumn("Id_Ponto_Entrega", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Ponto_Entrega);
                this.columnId_Config = new DataColumn("Id_Config", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Config);
                this.columnData_Inicio_Config = new DataColumn("Data_Inicio_Config", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Inicio_Config);
                this.columnData_Fim_Config = new DataColumn("Data_Fim_Config", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Fim_Config);
                this.columnDescricao_Contrato = new DataColumn("Descricao_Contrato", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnDescricao_Contrato);
                this.columnData_Contrato = new DataColumn("Data_Contrato", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Contrato);
                this.columnData_Inicio_Consumo = new DataColumn("Data_Inicio_Consumo", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Inicio_Consumo);
                this.columnTemperatura_Referencia = new DataColumn("Temperatura_Referencia", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTemperatura_Referencia);
                this.columnPressao_Referencia = new DataColumn("Pressao_Referencia", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPressao_Referencia);
                this.columnPoder_Calorifico_Referencia = new DataColumn("Poder_Calorifico_Referencia", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPoder_Calorifico_Referencia);
                this.columnPatm = new DataColumn("Patm", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPatm);
                this.columnPressao_Entrega = new DataColumn("Pressao_Entrega", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPressao_Entrega);
                this.columnVariacao_Pressao_Entrega_Maior = new DataColumn("Variacao_Pressao_Entrega_Maior", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVariacao_Pressao_Entrega_Maior);
                this.columnVariacao_Pressao_Entrega_Menor = new DataColumn("Variacao_Pressao_Entrega_Menor", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVariacao_Pressao_Entrega_Menor);
                this.columnVazao_Garantida = new DataColumn("Vazao_Garantida", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVazao_Garantida);
                this.columnPico_Vazao = new DataColumn("Pico_Vazao", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPico_Vazao);
                this.columnQuantidade_Diaria_Contratada = new DataColumn("Quantidade_Diaria_Contratada", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQuantidade_Diaria_Contratada);
                this.columnDemanda_Mensal_Contratada = new DataColumn("Demanda_Mensal_Contratada", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnDemanda_Mensal_Contratada);
                this.columnQuantidade_Trimestral_Minima = new DataColumn("Quantidade_Trimestral_Minima", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQuantidade_Trimestral_Minima);
                this.columnQuantidade_Anual_Minima = new DataColumn("Quantidade_Anual_Minima", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQuantidade_Anual_Minima);
                this.columnLimite_Maximo_Diario = new DataColumn("Limite_Maximo_Diario", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnLimite_Maximo_Diario);
                this.columnVariacao_Pressao_Lida_Maxima = new DataColumn("Variacao_Pressao_Lida_Maxima", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVariacao_Pressao_Lida_Maxima);
                this.columnVariacao_Pressao_Lida_Minima = new DataColumn("Variacao_Pressao_Lida_Minima", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVariacao_Pressao_Lida_Minima);
                this.columnVariacao_Temperatura_Lida_Maxima = new DataColumn("Variacao_Temperatura_Lida_Maxima", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVariacao_Temperatura_Lida_Maxima);
                this.columnVariacao_Temperatura_Lida_Minima = new DataColumn("Variacao_Temperatura_Lida_Minima", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVariacao_Temperatura_Lida_Minima);
                this.columnVariacao_Volume_Lido_Maximo = new DataColumn("Variacao_Volume_Lido_Maximo", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVariacao_Volume_Lido_Maximo);
                this.columnVariacao_Volume_Lido_Minimo = new DataColumn("Variacao_Volume_Lido_Minimo", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVariacao_Volume_Lido_Minimo);
                this.columnflag_Temperatura_Fixa = new DataColumn("flag_Temperatura_Fixa", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnflag_Temperatura_Fixa);
                this.columnValor_Temperatura_Fixa = new DataColumn("Valor_Temperatura_Fixa", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnValor_Temperatura_Fixa);
                this.columnflag_Correcao_Fixo = new DataColumn("flag_Correcao_Fixo", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnflag_Correcao_Fixo);
                this.columnValor_Correcao_Fixo = new DataColumn("Valor_Correcao_Fixo", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnValor_Correcao_Fixo);
                this.columnId_Tipo_Faturamento = new DataColumn("Id_Tipo_Faturamento", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Tipo_Faturamento);
                this.columnflag_Equip_Eletronico = new DataColumn("flag_Equip_Eletronico", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnflag_Equip_Eletronico);
                this.columnflag_Pressao_Absoluta = new DataColumn("flag_Pressao_Absoluta", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnflag_Pressao_Absoluta);
                this.Constraints.Add(new UniqueConstraint("ConfiguracaoClienteDataSetKey1", new DataColumn[] {
                                this.columnId_Ponto_Entrega,
                                this.columnId_Config}, true));
                this.columnId_Ponto_Entrega.AllowDBNull = false;
                this.columnId_Config.AutoIncrement = true;
                this.columnId_Config.AllowDBNull = false;
                this.columnId_Config.ReadOnly = true;
                this.columnData_Inicio_Config.AllowDBNull = false;
                this.columnData_Fim_Config.AllowDBNull = false;
                this.columnData_Contrato.AllowDBNull = false;
                this.columnData_Inicio_Consumo.AllowDBNull = false;
                this.columnTemperatura_Referencia.AllowDBNull = false;
                this.columnPressao_Referencia.AllowDBNull = false;
                this.columnPoder_Calorifico_Referencia.AllowDBNull = false;
                this.columnPatm.AllowDBNull = false;
                this.columnPressao_Entrega.AllowDBNull = false;
                this.columnVariacao_Pressao_Entrega_Maior.AllowDBNull = false;
                this.columnVariacao_Pressao_Entrega_Menor.AllowDBNull = false;
                this.columnVazao_Garantida.AllowDBNull = false;
                this.columnPico_Vazao.AllowDBNull = false;
                this.columnQuantidade_Diaria_Contratada.AllowDBNull = false;
                this.columnDemanda_Mensal_Contratada.AllowDBNull = false;
                this.columnQuantidade_Trimestral_Minima.AllowDBNull = false;
                this.columnQuantidade_Anual_Minima.AllowDBNull = false;
                this.columnLimite_Maximo_Diario.AllowDBNull = false;
                this.columnId_Tipo_Faturamento.AllowDBNull = false;
            }

            public sgm_Configuracao_ClienteRow Newsgm_Configuracao_ClienteRow()
            {
                return ((sgm_Configuracao_ClienteRow)(this.NewRow()));
            }

            protected override DataRow NewRowFromBuilder(DataRowBuilder builder)
            {
                return new sgm_Configuracao_ClienteRow(builder);
            }

            protected override System.Type GetRowType()
            {
                return typeof(sgm_Configuracao_ClienteRow);
            }

            protected override void OnRowChanged(DataRowChangeEventArgs e)
            {
                base.OnRowChanged(e);
                if ((this.sgm_Configuracao_ClienteRowChanged != null))
                {
                    this.sgm_Configuracao_ClienteRowChanged(this, new sgm_Configuracao_ClienteRowChangeEvent(((sgm_Configuracao_ClienteRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowChanging(DataRowChangeEventArgs e)
            {
                base.OnRowChanging(e);
                if ((this.sgm_Configuracao_ClienteRowChanging != null))
                {
                    this.sgm_Configuracao_ClienteRowChanging(this, new sgm_Configuracao_ClienteRowChangeEvent(((sgm_Configuracao_ClienteRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleted(DataRowChangeEventArgs e)
            {
                base.OnRowDeleted(e);
                if ((this.sgm_Configuracao_ClienteRowDeleted != null))
                {
                    this.sgm_Configuracao_ClienteRowDeleted(this, new sgm_Configuracao_ClienteRowChangeEvent(((sgm_Configuracao_ClienteRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleting(DataRowChangeEventArgs e)
            {
                base.OnRowDeleting(e);
                if ((this.sgm_Configuracao_ClienteRowDeleting != null))
                {
                    this.sgm_Configuracao_ClienteRowDeleting(this, new sgm_Configuracao_ClienteRowChangeEvent(((sgm_Configuracao_ClienteRow)(e.Row)), e.Action));
                }
            }

            public void Removesgm_Configuracao_ClienteRow(sgm_Configuracao_ClienteRow row)
            {
                this.Rows.Remove(row);
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_Configuracao_ClienteRow : DataRow
        {

            private sgm_Configuracao_ClienteDataTable tablesgm_Configuracao_Cliente;

            internal sgm_Configuracao_ClienteRow(DataRowBuilder rb) :
                    base(rb)
            {
                this.tablesgm_Configuracao_Cliente = ((sgm_Configuracao_ClienteDataTable)(this.Table));
            }

            public int Id_Ponto_Entrega
            {
                get
                {
                    return ((int)(this[this.tablesgm_Configuracao_Cliente.Id_Ponto_EntregaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Id_Ponto_EntregaColumn] = value;
                }
            }

            public int Id_Config
            {
                get
                {
                    return ((int)(this[this.tablesgm_Configuracao_Cliente.Id_ConfigColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Id_ConfigColumn] = value;
                }
            }

            public System.DateTime Data_Inicio_Config
            {
                get
                {
                    return ((System.DateTime)(this[this.tablesgm_Configuracao_Cliente.Data_Inicio_ConfigColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Data_Inicio_ConfigColumn] = value;
                }
            }

            public System.DateTime Data_Fim_Config
            {
                get
                {
                    return ((System.DateTime)(this[this.tablesgm_Configuracao_Cliente.Data_Fim_ConfigColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Data_Fim_ConfigColumn] = value;
                }
            }

            public string Descricao_Contrato
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tablesgm_Configuracao_Cliente.Descricao_ContratoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Descricao_ContratoColumn] = value;
                }
            }

            public System.DateTime Data_Contrato
            {
                get
                {
                    return ((System.DateTime)(this[this.tablesgm_Configuracao_Cliente.Data_ContratoColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Data_ContratoColumn] = value;
                }
            }

            public System.DateTime Data_Inicio_Consumo
            {
                get
                {
                    return ((System.DateTime)(this[this.tablesgm_Configuracao_Cliente.Data_Inicio_ConsumoColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Data_Inicio_ConsumoColumn] = value;
                }
            }

            public System.Decimal Temperatura_Referencia
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Temperatura_ReferenciaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Temperatura_ReferenciaColumn] = value;
                }
            }

            public System.Decimal Pressao_Referencia
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Pressao_ReferenciaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Pressao_ReferenciaColumn] = value;
                }
            }

            public System.Decimal Poder_Calorifico_Referencia
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Poder_Calorifico_ReferenciaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Poder_Calorifico_ReferenciaColumn] = value;
                }
            }

            public System.Decimal Patm
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.PatmColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.PatmColumn] = value;
                }
            }

            public System.Decimal Pressao_Entrega
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Pressao_EntregaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Pressao_EntregaColumn] = value;
                }
            }

            public System.Decimal Variacao_Pressao_Entrega_Maior
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Entrega_MaiorColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Entrega_MaiorColumn] = value;
                }
            }

            public System.Decimal Variacao_Pressao_Entrega_Menor
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Entrega_MenorColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Entrega_MenorColumn] = value;
                }
            }

            public System.Decimal Vazao_Garantida
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Vazao_GarantidaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Vazao_GarantidaColumn] = value;
                }
            }

            public System.Decimal Pico_Vazao
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Pico_VazaoColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Pico_VazaoColumn] = value;
                }
            }

            public System.Decimal Quantidade_Diaria_Contratada
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Quantidade_Diaria_ContratadaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Quantidade_Diaria_ContratadaColumn] = value;
                }
            }

            public System.Decimal Demanda_Mensal_Contratada
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Demanda_Mensal_ContratadaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Demanda_Mensal_ContratadaColumn] = value;
                }
            }

            public System.Decimal Quantidade_Trimestral_Minima
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Quantidade_Trimestral_MinimaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Quantidade_Trimestral_MinimaColumn] = value;
                }
            }

            public System.Decimal Quantidade_Anual_Minima
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Quantidade_Anual_MinimaColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Quantidade_Anual_MinimaColumn] = value;
                }
            }

            public System.Decimal Limite_Maximo_Diario
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Limite_Maximo_DiarioColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Limite_Maximo_DiarioColumn] = value;
                }
            }

            public System.Decimal Variacao_Pressao_Lida_Maxima
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Lida_MaximaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Lida_MaximaColumn] = value;
                }
            }

            public System.Decimal Variacao_Pressao_Lida_Minima
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Lida_MinimaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Lida_MinimaColumn] = value;
                }
            }

            public System.Decimal Variacao_Temperatura_Lida_Maxima
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Variacao_Temperatura_Lida_MaximaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Variacao_Temperatura_Lida_MaximaColumn] = value;
                }
            }

            public System.Decimal Variacao_Temperatura_Lida_Minima
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Variacao_Temperatura_Lida_MinimaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Variacao_Temperatura_Lida_MinimaColumn] = value;
                }
            }

            public System.Decimal Variacao_Volume_Lido_Maximo
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Variacao_Volume_Lido_MaximoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Variacao_Volume_Lido_MaximoColumn] = value;
                }
            }

            public System.Decimal Variacao_Volume_Lido_Minimo
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Variacao_Volume_Lido_MinimoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Variacao_Volume_Lido_MinimoColumn] = value;
                }
            }

            public bool flag_Temperatura_Fixa
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Configuracao_Cliente.flag_Temperatura_FixaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.flag_Temperatura_FixaColumn] = value;
                }
            }

            public System.Decimal Valor_Temperatura_Fixa
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Valor_Temperatura_FixaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Valor_Temperatura_FixaColumn] = value;
                }
            }

            public bool flag_Correcao_Fixo
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Configuracao_Cliente.flag_Correcao_FixoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.flag_Correcao_FixoColumn] = value;
                }
            }

            public System.Decimal Valor_Correcao_Fixo
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Configuracao_Cliente.Valor_Correcao_FixoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Valor_Correcao_FixoColumn] = value;
                }
            }

            public int Id_Tipo_Faturamento
            {
                get
                {
                    return ((int)(this[this.tablesgm_Configuracao_Cliente.Id_Tipo_FaturamentoColumn]));
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.Id_Tipo_FaturamentoColumn] = value;
                }
            }

            public bool flag_Equip_Eletronico
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Configuracao_Cliente.flag_Equip_EletronicoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.flag_Equip_EletronicoColumn] = value;
                }
            }

            public bool flag_Pressao_Absoluta
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Configuracao_Cliente.flag_Pressao_AbsolutaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Configuracao_Cliente.flag_Pressao_AbsolutaColumn] = value;
                }
            }

            public bool IsDescricao_ContratoNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.Descricao_ContratoColumn);
            }

            public void SetDescricao_ContratoNull()
            {
                this[this.tablesgm_Configuracao_Cliente.Descricao_ContratoColumn] = System.Convert.DBNull;
            }

            public bool IsVariacao_Pressao_Lida_MaximaNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Lida_MaximaColumn);
            }

            public void SetVariacao_Pressao_Lida_MaximaNull()
            {
                this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Lida_MaximaColumn] = System.Convert.DBNull;
            }

            public bool IsVariacao_Pressao_Lida_MinimaNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Lida_MinimaColumn);
            }

            public void SetVariacao_Pressao_Lida_MinimaNull()
            {
                this[this.tablesgm_Configuracao_Cliente.Variacao_Pressao_Lida_MinimaColumn] = System.Convert.DBNull;
            }

            public bool IsVariacao_Temperatura_Lida_MaximaNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.Variacao_Temperatura_Lida_MaximaColumn);
            }

            public void SetVariacao_Temperatura_Lida_MaximaNull()
            {
                this[this.tablesgm_Configuracao_Cliente.Variacao_Temperatura_Lida_MaximaColumn] = System.Convert.DBNull;
            }

            public bool IsVariacao_Temperatura_Lida_MinimaNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.Variacao_Temperatura_Lida_MinimaColumn);
            }

            public void SetVariacao_Temperatura_Lida_MinimaNull()
            {
                this[this.tablesgm_Configuracao_Cliente.Variacao_Temperatura_Lida_MinimaColumn] = System.Convert.DBNull;
            }

            public bool IsVariacao_Volume_Lido_MaximoNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.Variacao_Volume_Lido_MaximoColumn);
            }

            public void SetVariacao_Volume_Lido_MaximoNull()
            {
                this[this.tablesgm_Configuracao_Cliente.Variacao_Volume_Lido_MaximoColumn] = System.Convert.DBNull;
            }

            public bool IsVariacao_Volume_Lido_MinimoNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.Variacao_Volume_Lido_MinimoColumn);
            }

            public void SetVariacao_Volume_Lido_MinimoNull()
            {
                this[this.tablesgm_Configuracao_Cliente.Variacao_Volume_Lido_MinimoColumn] = System.Convert.DBNull;
            }

            public bool Isflag_Temperatura_FixaNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.flag_Temperatura_FixaColumn);
            }

            public void Setflag_Temperatura_FixaNull()
            {
                this[this.tablesgm_Configuracao_Cliente.flag_Temperatura_FixaColumn] = System.Convert.DBNull;
            }

            public bool IsValor_Temperatura_FixaNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.Valor_Temperatura_FixaColumn);
            }

            public void SetValor_Temperatura_FixaNull()
            {
                this[this.tablesgm_Configuracao_Cliente.Valor_Temperatura_FixaColumn] = System.Convert.DBNull;
            }

            public bool Isflag_Correcao_FixoNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.flag_Correcao_FixoColumn);
            }

            public void Setflag_Correcao_FixoNull()
            {
                this[this.tablesgm_Configuracao_Cliente.flag_Correcao_FixoColumn] = System.Convert.DBNull;
            }

            public bool IsValor_Correcao_FixoNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.Valor_Correcao_FixoColumn);
            }

            public void SetValor_Correcao_FixoNull()
            {
                this[this.tablesgm_Configuracao_Cliente.Valor_Correcao_FixoColumn] = System.Convert.DBNull;
            }

            public bool Isflag_Equip_EletronicoNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.flag_Equip_EletronicoColumn);
            }

            public void Setflag_Equip_EletronicoNull()
            {
                this[this.tablesgm_Configuracao_Cliente.flag_Equip_EletronicoColumn] = System.Convert.DBNull;
            }

            public bool Isflag_Pressao_AbsolutaNull()
            {
                return this.IsNull(this.tablesgm_Configuracao_Cliente.flag_Pressao_AbsolutaColumn);
            }

            public void Setflag_Pressao_AbsolutaNull()
            {
                this[this.tablesgm_Configuracao_Cliente.flag_Pressao_AbsolutaColumn] = System.Convert.DBNull;
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_Configuracao_ClienteRowChangeEvent : EventArgs
        {

            private sgm_Configuracao_ClienteRow eventRow;

            private DataRowAction eventAction;

            public sgm_Configuracao_ClienteRowChangeEvent(sgm_Configuracao_ClienteRow row, DataRowAction action)
            {
                this.eventRow = row;
                this.eventAction = action;
            }

            public sgm_Configuracao_ClienteRow Row
            {
                get
                {
                    return this.eventRow;
                }
            }

            public DataRowAction Action
            {
                get
                {
                    return this.eventAction;
                }
            }
        }
    }
}
